org.apache.http.client

## Interface BackoffManager

- All Known Implementing Classes:
    AIMDBackoffManager

      public interface BackoffManager

  Represents a controller that dynamically adjusts the size of an available connection pool based on feedback from using the connections.
  Since:
    4.2

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `backOff(HttpRoute route)` Called when we have decided that the result of using a connection should be interpreted as a backoff signal.
    `void` | `probe(HttpRoute route)` Called when we have determined that the result of using a connection has succeeded and that we may probe for more connections.

- - ### Method Detail

    - #### backOff

          void backOff(HttpRoute route)

      Called when we have decided that the result of using a connection should be interpreted as a backoff signal.

    - #### probe

          void probe(HttpRoute route)

      Called when we have determined that the result of using a connection has succeeded and that we may probe for more connections.

Copyright © 1999–2022 The Apache Software Foundation. All rights reserved.